<?php

namespace Database\Seeders;

use App\Models\Source;
use App\Models\User;
// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // User::factory(10)->create();
        User::updateOrCreate(
            ['email' => 'admin@admin.com'],
            [
                'firstname'         => 'Admin',
                'lastname'          => 'Admin',
                'is_admin'          => 1,
                'password'          => Hash::make('11223344'),
                'email_verified_at' => now(),
            ]
        );

        // Source Initial Data
        $sources = [
            ['id' => 1, 'name' => 'facebook'],
            ['id' => 2, 'name' => 'whatsapp'],
            ['id' => 3, 'name' => 'saas'],
        ];

        foreach ($sources as $source) {
            Source::updateOrCreate(
                ['id' => $source['id']],
                ['name' => $source['name']]
            );
        }

        $this->call(StatusSeeder::class);
        $this->call((PermissionSeeder::class));
        $this->call((EmailTemplatesSeeder::class));

        // enter dummy data
        // $this->call([ContactSeeder::class]);

        // $this->call([
        //     // ChatSeeder::class,
        //     // ChatMessagesSeeder::class,
        //     // ContactNotesSeeder::class,
        //     // PusherNotificationsSeeder::class,
        //     // NotificationsSeeder::class,
        //     // WmActivityLogsSeeder::class,
        //     // AiPromptsTableSeeder::class,
        //     // CannedRepliesTableSeeder::class,
        // ]);
    }
}
